#!/usr/bin/env python
# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

from setuptools import find_packages, setup

# ensure find_packages works if our current directory isn't this project
here = os.path.abspath(os.path.dirname(__file__))
os.chdir(here)
packages = find_packages(here)

requires = [
    'chardet==2.2.1',
    'dput==1.6',
    'lazr.enum>=1.1.2',
]

setup(
    name='ci-engine-cli',
    version='0.1',
    description='CLI component of Ubuntu CI Engine',
    author='Canonical CI Engineering Team',
    license='AGPL',
    packages=packages,
    test_suite='tests',
    install_requires=requires,
)
