# Ubuntu CI Services
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest

import webtest

from imagebuilder import wsgi


class TestAPI(unittest.TestCase):
    def setUp(self):
        super(TestAPI, self).setUp()
        self.app = webtest.TestApp(wsgi.app, relative_to='.')

    def test_status(self):
        resp = self.app.get('/api/v1/status')
        self.assertEqual(200, resp.status_code)

    def test_build_image(self):
        args = {
            'base_image': 'http://foo.bar/image.img',
            'ppa_list': ['ppa:fakeproject/test'],
            'package_list': ['fakepackage']
        }
        resp = self.app.post_json('/api/v1/build_image', args)
        self.assertEqual(200, resp.status_code)

    def test_bad_build_image(self):
        resp = self.app.post('/api/v1/build_image', '{}', status=400)
        self.assertEqual(400, resp.status_code)
