# Ubuntu CI Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import unittest

from imagebuilder import cloud_image


class TestCloudImage(unittest.TestCase):
    def setUp(self):
        super(TestCloudImage, self).setUp()

    def test_parse_ppas_single(self):
        chroot = '/tmp/foo'
        ppalist = ['ppa:foo/bar']
        series = 'precise'
        expect_aptline = [
            'deb-src http://ppa.launchpad.net/foo/bar/ubuntu precise main'
        ]
        aptline = cloud_image._parse_ppas(chroot, ppalist, series)
        self.assertEqual(expect_aptline, aptline)

    def test_parse_ppas_multiple(self):
        chroot = '/tmp/foo'
        ppalist = ['ppa:foo/bar', 'ppa:moo/oink']
        series = 'precise'
        expect_aptline = [
            'deb-src http://ppa.launchpad.net/foo/bar/ubuntu precise main',
            'deb-src http://ppa.launchpad.net/moo/oink/ubuntu precise main'
        ]
        aptline = cloud_image._parse_ppas(chroot, ppalist, series)
        self.assertEqual(expect_aptline, aptline)
