#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import subprocess
import sys

from setuptools import find_packages, setup

# ensure find_packages works if our current directory isn't this project
basedir = os.path.abspath(os.path.dirname(__file__))
os.chdir(basedir)
packages = find_packages(basedir)

if sys.argv[1] == 'create_db':
    import ppa_assigner.settings
    import ci_utils.create_db
    dbconfig = ppa_assigner.settings.DATABASES['default']
    exit(ci_utils.create_db.create_db(dbconfig))
elif sys.argv[1] == 'test':
    # setuptools doesn't work with django's test harness very well, so
    # we'll just run everything by hand from here
    args = ['./manage.py', 'test']
    if len(sys.argv) > 2:
        args += sys.argv[2:]
    else:
        args.append('ppa_assigner')
    exit(subprocess.call(args, cwd=basedir))

import ppa_assigner

requires = [
    'Django==1.5',
    'South==0.7.5',
    'django-tastypie==0.9.15',
    'mock==1.0.1',
    'oauth==1.0.1'
]

setup(
    name='ppa-assigner',
    version=ppa_assigner.__version__,
    description='PPA Assigner component of Ubuntu CI Engine',
    author='Andy Doan',
    author_email='andy.doan@ubuntu.com',
    license='AGPL',
    packages=packages,
    test_suite='ppa_assigner.tests',
    install_requires=requires,
)
