#!/bin/sh
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set -e
venv=$(mktemp -d)
trap "echo cleaning up venv...; rm -rf $venv" EXIT
virtualenv $venv
. $venv/bin/activate

# ci-utils comes first as it's common to several components
SERVICES='
ci-utils
branch-source-builder
cli
image-builder
lander
ppa-assigner
ticket_system
test_runner
'

for x in $SERVICES ; do
	echo "== Testing $x ...."
	./$x/setup.py develop
	./$x/setup.py test
done
